/*
 * (C) Copyright 2008
 * Stefan Roese, DENX Software Engineering, sr@denx.de.
 *
 * based on a the Linux rtc-m41t80.c driver which is:
 *   Alexander Bigga <ab@mycable.de>, 2006 (c) mycable GmbH
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

/*
 * Date & Time support for STMicroelectronics M41T81
 */

/* #define	DEBUG	*/

#include <common.h>
#include <command.h>
#include <rtc.h>
#include <i2c.h>
#include <bcd.h>



int wdt_disable()
{

	unsigned char i2c_data[2], i2c_buf[0x10];
	//u8 buf[M41T81_DATETIME_REG_SIZE];

	if (i2c_read(0x68, 0x09 , 1, i2c_buf, sizeof(i2c_buf)) ){
		//printf("I2C read failed in rtc_validate()\n");
		return 0;
	}
	//printf("\n0x09 : 0x%x\n",);
	
	if(i2c_buf[0] != 0x00) {
		i2c_buf[0] = 0x09;
		i2c_buf[1] = 0x00;
		
		if (i2c_write(0x68, 0x09 , 0, i2c_buf , 2 ) ){
			//printf("I2C write failed in rtc_validate()\n");
			return 0;
		}
	}
	
	return 1;
}


